Page MenuHomeFreeBSD

ThunderX external PCIe driver
ClosedPublic

Authored by wma_semihalf.com on Jul 31 2015, 5:55 AM.

Details

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

wma_semihalf.com retitled this revision from to ThunderX external PCIe driver.
wma_semihalf.com updated this object.
wma_semihalf.com edited the test plan for this revision. (Show Details)
wma_semihalf.com added reviewers: jhb, zbb, andrew, emaste.
wma_semihalf.com set the repository for this revision to rS FreeBSD src repository.
sys/arm64/cavium/thunder_pcie_pem.c
500 ↗(On Diff #7539)

Ooops... will add SYS_RES_IO here.

wma_semihalf.com added a subscriber: arm64.

Applying fixes from internal PCIe review here also.

jhb edited edge metadata.Aug 3 2015, 9:30 PM

One general comment that I missed in the earlier review is that you will need to have a bus_adjust_resource() method eventually to support NEW_PCIB. That is not a hard requirement since other parts of arm are behind on this. Aside from that this looks fine.

Thanks, good point!
The next step for this driver is to enhance resource allocation in case the size is unknown (line #442) which is required for ThunderX ethernet NIC we're currently developing the driver for.
If you don't mind, I'd like to commit this file as-is and add support for NEW_PCIB later, along with previously mentioned VFs. I think I should make this in a week or two.

jhb accepted this revision.Aug 6 2015, 10:26 AM
jhb edited edge metadata.
This revision is now accepted and ready to land.Aug 6 2015, 10:26 AM
andrew added inline comments.Aug 6 2015, 10:40 AM
sys/arm64/cavium/thunder_pcie_pem.c
512 ↗(On Diff #7596)

This should be a BUS_PROBE_ value.

This revision was automatically updated to reflect the committed changes.